Email
Inboxes
Marketing
SMS
Sign
Verify
Hooks
Risk
Platform
List forms
GET
/v1/forms
The environment's forms, newest first.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
limit?integer1-100, default 20.
Range
1 <= value <= 100after?stringCursor: the id of the last item of the previous page.
Length
length <= 64Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of forms.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.forms.list();{ "object": "list", "data": [], "has_more": false}